Subject: bug#13580: 24.2.92; regression in calc-convert-units

From: Eli Zaretskii <[email-masked]>
Date: Fri, 08 Feb 2013 16:49:34 +0200

> From: Jay Belanger <[email-masked]>
> Cc: [email-masked]
> CC: [email-masked]
> Date: Fri, 08 Feb 2013 08:30:43 -0600
> 
> > He is talking about this (see
> > http://en.wikipedia.org/wiki/Dimensionless_quantity):
> 
> I've indicated that I know what dimensionless means

Sorry about that.  I wanted to make sure everyone is on the same page
in this regard.

> Sure, but if a user asks Calc to work with m/m, the classic Calc
> behavior was for Calc to ask for a new unit, then basically ignore it
> and cancel the units.  If the user put in "3 m/m", "New units: rad", the
> result would not be "3", not "3 rad".  (Behind the scenes the new unit
> would be introduced but then disappear.)  It ended up just simplifying
> the units.  Asking for unused information seems like a bug.  This was
> changed so that it wouldn't ask for the essentially unused information.
> Since Calc then acts without informing the user, I added information and
> allowed the user to treat the expression as unitless.  That is the way I
> would like to use it.  But it seems like there are two reasonable
> behaviors when the units cancel:
>  (1) Simplify the expression.  (The 24 branch behavior.)
>  (2) Treat it like a unitless expression. (The trunk behavior.)
> Changing from the classic behavior to (1) was fixing a bug; when I heard
> a complaint about the lack of information that (1) provided, I changed
> to (2).
> Perhaps Calc should stick to (1), and let the user deal with the
> simplified expression. 
> 
> Or: What do you suggest? 

I'd rather hope that Roland will suggest the alternative behavior he
would like to see instead.